MyGUI: MyGUI::MemberObsolete< PointerManager > Class Template Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::MemberObsolete< PointerManager > Class Template Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< PointerManager >:
[legend]

## Public Member Functions
void | setDeafultPointer (const std::string &_value)
void | show ()
void | hide ()
bool | isShow ()
bool | load (const std::string &_file)
void | loadOldPointerFormat (xml::ElementPtr _node, const std::string &_file, Version _version, const std::string &_tag)

## Detailed Description

### template<>
class MyGUI::MemberObsolete< PointerManager >

Definition at line 502 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ hide()

void MyGUI::MemberObsolete< PointerManager >::hide | ( |  | ) |

Deprecated:
  " is deprecated, use : void PointerManager::setVisible(bool _visible)"

Definition at line 890 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isShow()

bool MyGUI::MemberObsolete< PointerManager >::isShow | ( |  | ) |

Deprecated:
  " is deprecated, use : bool PointerManager::isVisible()"

Definition at line 894 of file MyGUI_BackwardCompatibility.cpp.

## ◆ load()

bool MyGUI::MemberObsolete< PointerManager >::load | ( | const std::string & | _file | ) |

Deprecated:
  " is deprecated, use : bool ResourceManager::load(const std::string& _file)"

Definition at line 898 of file MyGUI_BackwardCompatibility.cpp.

## ◆ loadOldPointerFormat()

void MyGUI::MemberObsolete< PointerManager >::loadOldPointerFormat | ( | xml::ElementPtr | _node,
|  | const std::string & | _file,
|  | Version | _version,
|  | const std::string & | _tag
| ) |  |

Definition at line 902 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setDeafultPointer()

void MyGUI::MemberObsolete< PointerManager >::setDeafultPointer | ( | const std::string & | _value | ) |

Deprecated:
  " is deprecated, use : void PointerManager::setDefaultPointer(const std::string& _value)"

Definition at line 882 of file MyGUI_BackwardCompatibility.cpp.

## ◆ show()

void MyGUI::MemberObsolete< PointerManager >::show | ( |  | ) |

Deprecated:
  " is deprecated, use : void PointerManager::setVisible(bool _visible)"

Definition at line 886 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp